import { TextAreaProps } from './components/text-area';
import type { Answer } from './utility';
export type { Answer, TextAreaProps };
export type RichTextEditorHandle = {
    setValue: (value: string) => void;
};
export type RichTextEditorProps = {
    allowedFileTypes?: string[];
    baseUrl?: string;
    /**
     * Callback that's called when the user pastes an image to the text area.
     * The function is given a `File` Blob and is expected to return a string
     * that can be used as the `src` attribute of an `<img />` tag.
     */
    getPasteSource?: (file: File) => Promise<string>;
    initialValue?: string;
    language?: 'FI' | 'SV';
    onValueChange?: (answer: Answer) => void;
    /** The toolbars will be rendered in this root via a React Portal */
    textAreaProps?: TextAreaProps;
    toolbarRoot?: HTMLElement;
} & TextAreaProps;
declare const RichTextEditor: import("react").ForwardRefExoticComponent<{
    allowedFileTypes?: string[];
    baseUrl?: string;
    /**
     * Callback that's called when the user pastes an image to the text area.
     * The function is given a `File` Blob and is expected to return a string
     * that can be used as the `src` attribute of an `<img />` tag.
     */
    getPasteSource?: (file: File) => Promise<string>;
    initialValue?: string;
    language?: "FI" | "SV";
    onValueChange?: (answer: Answer) => void;
    /** The toolbars will be rendered in this root via a React Portal */
    textAreaProps?: TextAreaProps;
    toolbarRoot?: HTMLElement;
} & TextAreaProps & import("react").RefAttributes<RichTextEditorHandle>>;
export default RichTextEditor;
